Description: only set PYTHONHOME if in the environment
 The default value works, Executable_Location causes a crash.
Author: Nicolas Boulenguez <nicolas@debian.org>

--- a/python/core/gps-python_core.adb
+++ b/python/core/gps-python_core.adb
@@ -33,11 +33,6 @@
    is
       Python_Home : String_Access := Getenv ("GPS_PYTHONHOME");
    begin
-      if Python_Home.all = "" then
-         Free (Python_Home);
-         Python_Home := new String'(Executable_Location);
-      end if;
-
       Register_Python_Scripting
         (Kernel.Scripts,
          Module      => "GPS",
